Qt 5.6 | Qt 3D | C++ Classes | QBlendStateSeparate

Qt 5.6.3 Reference Documentation

# QBlendStateSeparate Class

(Qt3DRender::QBlendStateSeparate)

Encapsulates blending information. More...

Header: | #include <QBlendStateSeparate>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | BlendStateSeparate
Inherits: | QBlendState

- List of all members, including inherited members

## Public Functions

| QBlendStateSeparate(Qt3DCore::QNode *parent = Q_NULLPTR)

- 4 public functions inherited from Qt3DRender::QBlendState
- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 4 properties inherited from Qt3DRender::QBlendState
- 2 properties inherited from Qt3DCore::QNode
- 4 public slots inherited from Qt3DRender::QBlendState
- 2 public slots inherited from Qt3DCore::QNode
- 4 signals inherited from Qt3DRender::QBlendState
- 2 signals inherited from Qt3DCore::QNode
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Encapsulates blending information.

## Member Function Documentation

### QBlendStateSeparate::QBlendStateSeparate(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QBlendStateSeparate.